---
id: author-collection
title: AuthorCollection
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type AuthorCollection {
  id: ID!
  papers(
    first: Int = 0
    offset: Int = 0
    orderBy: [_PaperOrdering] = []
    filter: _PaperFilter
  ): [Paper]
  authors(
    first: Int = 0
    offset: Int = 0
    orderBy: [_HasAuthorOrdering] = []
    filter: _AuthorCollectionHasAuthorFilter
  ): [_AuthorCollectionAuthors]
  _id: String
}
```

### Fields

#### `id` ([`ID!`](/docs/api/scalars/id))

#### `papers` ([`[Paper]`](/docs/api/objects/paper))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_PaperOrdering]`](/docs/api/enums/paper-ordering))

- ##### `filter` ([`_PaperFilter`](/docs/api/inputs/paper-filter))

#### `authors` ([`[_AuthorCollectionAuthors]`](/docs/api/objects/author-collection-authors))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_HasAuthorOrdering]`](/docs/api/enums/has-author-ordering))

- ##### `filter` ([`_AuthorCollectionHasAuthorFilter`](/docs/api/inputs/author-collection-has-author-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
